{{set . "title" "AttributeSet"}}
{{template "header.html" .}}

<header class="hero-unit">
    <div class="container">
        <div class="row">
            <div class="hero-text">
                <h1>Edit AttributeSet</h1>
            </div>
        </div>
    </div>
</header>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            {{template "flash.html" .}}
        </div>
        <div class="col-md-12">
            <form method="POST" action='{{if .attributeset.ID}}{{url "AttributeSet.Update"}}{{else}}{{url "AttributeSet.Create"}}{{end}}'>
                {{with $field := field "attributeset.ID" .}}
                <input type="hidden" id="id" name="id" value="{{$field.Value}}">
                {{end}}
                <div class="form-group">
                    {{with $field := field "attributeset.Name" .}}
                    <label for="{{$field.ID}}">Name * </label>
                    <input type="text" id="{{$field.ID}}" name="name" value="{{$field.Value}}"
                           class="{{$field.ErrorClass}}">
                    <span class="error">{{$field.Error}}</span>

                    {{end}}
                </div>

                <input type="submit" class="btn btn-success" value="Save attributeset"/>
            </form>
        </div>
    </div>
</div>
{{template "footer.html" .}}